Skip to content

API Reference

Add IDV information

POST /v1/retail/idv_info https://api.cable.tech

Retail endpoint for adding new IDV information

Authentication

  • API key in the x-api-key header

Request body

application/json list of objects required

Request body for adding IDV (Identity Verification) information for a parent entity

  • timestamp string required

    Original timestamp relating to this IDV information creation/change

    Format date-time

  • data object required
    • verification_type string required

      Type of verification performed

    • verification_outcome string required

      Result of IDV screening returned from provider

      Example pass

    • verification_provider string required

      Name of the IDV screening provider

      Example IDV Base

    • document_type string

      Type of document used in the screening

      Example National ID

    • document_number string

      The number of the document used in the screening

      Example 123ABC4567890

    • document_expiry_date string

      The expiration date of the document used in the screening

      Format date-time

      Example 1955-03-22

    • document_extracted_data list of objects

      Limits min items 1

      • type string required

        Type of data extracted from the document

      • value string required

        Value of the data extracted from the document

    • is_live_selfie boolean

      Whether a live selfie was used in the IDV screening

    • externally_verified_data list of objects

      Limits min items 1

      • type string required

        Type of data externally verified

      • value string required

        Value of the data externally verified

      • is_externally_verified boolean required

        Whether the data was externally verified

      • provider string required

        Name of the provider that externally verified the data

    • custom object

      Custom data that is relevant. This can be any JSON object. Please include any details and data points that our schema does not capture.

  • parent object required
    • id string required

      Unique external identifier of the parent entity, ID stored in your database / back-office

      Limits min length 1

Responses

200 Operation success

  • success boolean required

    You probably did something wrong if you set this to false

    Default true

Errors

  • default Operation error

Error body default

  • code string required
  • message string required
  • data object